Subject: Re: bug#9679: 24.0.90; After rgrep, next-error goes to the wrong line

From: Juri Linkov <[email-masked]>
Date: Thu, 06 Oct 2011 18:27:56 +0300

> Sometimes next-error goes to the wrong line when stepping through rgrep
> matches.
>
> Using git bisect and the code below, I found the commit that causes the
> problem (rev 105677). Reverting that (and before that a commit that
> depended on it) makes the problem disappear.
>
> rev 105685: (grep-regexp-alist): Move dangling comment to the previous rule.
> rev 105677: progmodes/grep.el (grep-regexp-alist): Calculate column positions
>
> I used the following test case to find the problematic commit. It
> creates a file with two lines matching "mapcar" and then rgreps for it.
> After that it calls next-error two times. The second call goes into the
> line starting with " (list 'face ...".
>                           ^- here

Thanks for the comprehensive test case.  I tried it but the second call
goes into the line starting with "(mapcar #'string-to-number ...".